summaryrefslogtreecommitdiffstats
path: root/ubuntu/_base/applications/system/kpowersave/debian/postrm
diff options
context:
space:
mode:
authorSlávek Banko <slavek.banko@axis.cz>2021-07-11 21:27:29 +0200
committerSlávek Banko <slavek.banko@axis.cz>2021-07-11 21:27:29 +0200
commit5195a57d4919924c7e7970506b1994e83fdebbbb (patch)
tree0939379ca3d176975efd109ea2cd66fb9f1f11d9 /ubuntu/_base/applications/system/kpowersave/debian/postrm
parentcb277da52ac1a12d1b8f855fca48cd013948f4dc (diff)
downloadtde-packaging-5195a57d4919924c7e7970506b1994e83fdebbbb.tar.gz
tde-packaging-5195a57d4919924c7e7970506b1994e83fdebbbb.zip
DEB: Rearranged applications folder into sub categories.
Signed-off-by: Slávek Banko <slavek.banko@axis.cz>
Diffstat (limited to 'ubuntu/_base/applications/system/kpowersave/debian/postrm')
-rw-r--r--ubuntu/_base/applications/system/kpowersave/debian/postrm24
1 files changed, 24 insertions, 0 deletions
diff --git a/ubuntu/_base/applications/system/kpowersave/debian/postrm b/ubuntu/_base/applications/system/kpowersave/debian/postrm
new file mode 100644
index 000000000..4e8eda799
--- /dev/null
+++ b/ubuntu/_base/applications/system/kpowersave/debian/postrm
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+set -e
+
+package_name=kpowersave-trinity
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+case "$1" in
+ remove)
+ dpkg-divert --package $package_name --rename --remove /etc/acpi/powerbtn.sh
+ ;;
+ purge)
+ ;;
+ upgrade)
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+exit 0